classdef CVC_checker
    %CVC_CHECKER Summary of this class goes here
    %   Detailed explanation goes here
    
    properties
        
        command = 'cvc3'
        data = [];
        
    end
    
    
    methods(Static)
        
        [ code , query] = generate_cvc_grid( grid , level)
        [ code ] = find_parents( grid )
        cvc_string = matlab_to_cvc_syntax_translation(matlab_string)
        [ cvc_type ] = pvs_to_cvc_subtypes( pvs_type )
        
    end
    
    methods
        
        function object = CVC_checker(data)
            object.data = data;
        end
    end
    
end

